package com.gprinter.udp.wifi.set;

import android.text.TextUtils;
import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;

/* loaded from: com_gprinter_udp_wifi_set.jar:com/gprinter/udp/wifi/set/SettingStaSsidCommand.class */
public class SettingStaSsidCommand extends CommandUDP {
    private boolean valid;
    private String ssid;

    public SettingStaSsidCommand(String ssid) {
        this.valid = false;
        if (TextUtils.isEmpty(ssid)) {
            this.valid = false;
        } else {
            this.valid = true;
            this.ssid = ssid;
        }
    }

    public byte[] getCommand() {
        if (!this.valid) {
            return null;
        }
        return getAT_WSSSID(this.ssid).getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] data) {
        if (data != null) {
            try {
                String response = new String(data);
                ResultResp resultResp = new ResultResp();
                if (response.contains("+ok")) {
                    resultResp.setResult(true);
                } else {
                    resultResp.setResult(false);
                }
                return resultResp;
            } catch (Exception e) {
                e.printStackTrace();
                return null;
            }
        }
        return null;
    }

    public String getAT_WSSSID(String str) {
        if (!str.equals("")) {
            String cmd = "AT+WSSSID=" + str;
            return cmd + "\r";
        }
        return "";
    }
}
